| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csqint.h File Reference

Quick floating point to integer conversions. More...

Go to the source code of this file.

## Functions
static long | csQfixed16 (float n)
| Quickly convert a floating-point number to 16.16 fixed-point value.
static long | csQfixed24 (float n)
| Quickly convert a floating-point number to 8.24 fixed-point value.
static long | csQfixed8 (float n)
| Quickly convert a floating-point number to 24.8 fixed-point value.
template<typename T>
static long | csQint (T n)
| Quickly truncate the fractional part of a floating-point value and convert it to a long integer using processor and/or number format quirks if available.
static long | csQint16 (float n)
static long | csQint24 (float n)
static long | csQint8 (float n)
template<typename T>
static long | csQround (T n)
| Quickly round a floating-point value and convert it to a long integer using processor and/or number format quirks if available.

## Detailed Description

Quick floating point to integer conversions.

Definition in file csqint.h.